[Overview][Types][Classes][Index] | Reference for unit 'ZStream' (#fcl)

# Tdecompressionstream.get_compressionrate

Get the current compression rate

## Declaration

Source position: zstream.pp line 84

`public function Tdecompressionstream.get_compressionrate: single;`

## Function result

Percentage of compression

## Description

get_compressionrate returns the percentage of the number of read compressed bytes relative to the total number of read bytes.

## Errors

If no bytes were written, an exception is raised.